org.kie.api.runtime.rule

## Enum FactHandle.State

- java.lang.Object
- - java.lang.Enum<FactHandle.State>
  - - org.kie.api.runtime.rule.FactHandle.State

- All Implemented Interfaces:
    Serializable, Comparable<FactHandle.State>
  Enclosing interface:
    FactHandle

      public static enum FactHandle.State
      extends Enum<FactHandle.State>

  The way how the fact to which this FactHandle was assigned has been inserted into the working memory

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `LOGICAL` A fact that has been logically inserted into the working memory
    `STATED` A fact that has been explicitly stated into the working memory

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLogical()`
    `boolean` | `isStated()`
    `static FactHandle.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FactHandle.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final FactHandle.State ALL

    - #### STATED

          public static final FactHandle.State STATED

      A fact that has been explicitly stated into the working memory

    - #### LOGICAL

          public static final FactHandle.State LOGICAL

      A fact that has been logically inserted into the working memory

  - ### Method Detail

    - #### values

          public static FactHandle.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FactHandle.State c : FactHandle.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FactHandle.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isStated

          public boolean isStated()

    - #### isLogical

          public boolean isLogical()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.